Perfstat.perfstat_protocol_t.AnonymousStructICMP (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.aix, interface: Perfstat, class: perfstat_protocol_t, class: AnonymousStructICMP

Package com.sun.jna.platform.unix.aix

# Class Perfstat.perfstat_protocol_t.AnonymousStructICMP

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructICMP

Enclosing class:
  Perfstat.perfstat_protocol_t

@FieldOrder({"received","sent","errors"}) public static class Perfstat.perfstat_protocol_t.AnonymousStructICMP extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `errors`
  `long`
  `received`
  `long`
  `sent`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousStructICMP()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### received

    public long received

  - ### sent

    public long sent

  - ### errors

    public long errors

- ## Constructor Details

  - ### AnonymousStructICMP

    public AnonymousStructICMP()